#pragma once

class CVertexBufferObject
{
private:
	GLuint VBO;
	BYTE *Data;
	int DataSize;

public:
	CVertexBufferObject();
	~CVertexBufferObject();

	operator GLuint ();

	void Init();
	void AddData(void *NewData, int NewDataSize);
	void UploadDataToGPU(GLenum Usage);
	void Destroy();
};
